package example.energy.coolemall;

import schedframe.resources.computing.Node;
import schedframe.resources.computing.coolemall.NodeGroup;
import schedframe.resources.computing.profiles.energy.EnergyEvent;
import schedframe.resources.devices.PhysicalResource;
import schedframe.scheduling.manager.tasks.JobRegistry;
import example.energy.BaseEnergyEstimationPlugin;

public class NodeGroupEnergyEstimationPlugin extends BaseEnergyEstimationPlugin{

	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
			PhysicalResource resource) {
		
		double powerConsumption = 0;
		NodeGroup nodeGroup = (NodeGroup)resource;
		for(Node node: nodeGroup.getNodes()){
			try{
				powerConsumption = powerConsumption + node.getPowerInterface().getRecentPowerUsage().getValue();
			} catch (Exception e){
			}
		}

		return powerConsumption;
	}

}
